Loading...
Searching...
No Matches
casacore::MSPolarizationEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet POLARIZATION table. More...

`#include <MSPolEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , CORR_PRODUCT , CORR_TYPE , FLAG_ROW , NUM_CORR , NUMBER_REQUIRED_COLUMNS , NUMBER_PREDEFINED_COLUMNS }
| The POLARIZATION table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet POLARIZATION table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet POLARIZATION table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSPolarization class. These enumerations define the standard columns and keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSPolEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSPolarizationEnums::PredefinedColumns

The POLARIZATION table colums with predefined meaning.

Keys: POLARIZATION_ID is rownumber

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
CORR_PRODUCT | A pair of integers for each correlation product specifying the receptors from which the signal originated. E.g., (0,1) = receptor 0 on feed1 and receptor 1 on feed2. This is unused for I,Q,U,V data. Int(2, NUM_CORR)
CORR_TYPE | The polarization type for each correlation product, as a Stokes enum. Int(NUM_CORR)
FLAG_ROW | Row flag Bool.
NUM_CORR | Number of correlations. Int
NUMBER_REQUIRED_COLUMNS | Number of required columns .
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 61 of file MSPolEnums.h.

## PredefinedKeywords

enum casacore::MSPolarizationEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 86 of file MSPolEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSPolEnums.h